# Top Keywords of the Last 7 Days

Top 10 keywords of the last 7 days: "the" (25,455), then "ai", "and", "bet" and "casino".

Source: https://docs.deepinfo.com/reference/domain-intelligence/keyword-stats/examples/interval-7/

Last updated: 2026-09-24

---
`GET https://api.deepinfo.com/v1/explorer/domain-intelligence/keyword-stats?interval=7`

Top 10 keywords of the last 7 days: "the" (25,455), then "ai", "and", "bet" and "casino".

Example 3 of 6 · [Keyword Stats Examples](/reference/domain-intelligence/keyword-stats/examples/) · endpoint: [Keyword Stats](/reference/domain-intelligence/keyword-stats/)

Tags: `param` `interval` · `value` `7`

Asks for the top keywords of the last 7 days (`interval=7`).

`the` leads with 25,455 domains, followed by `ai` (14,381), `and`, `bet` and `casino` (10,205); `hub`, `group`, `app`, `co` and `studio` complete the list.

## Request

| Parameter | In | Value |
|---|---|---|
| `interval` | query | `7` |

```bash
curl 'https://api.deepinfo.com/v1/explorer/domain-intelligence/keyword-stats?interval=7' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

`Content-Type: application/json` · `ratelimit-limit: 60` · `ratelimit-remaining: 53` · `ratelimit-reset: 33` · `x-ratelimit-limit-minute: 60` · `x-ratelimit-remaining-minute: 53` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
[
  {
    "keyword": "the",
    "count": 25455
  },
  {
    "keyword": "ai",
    "count": 14381
  },
  {
    "keyword": "and",
    "count": 13626
  },
  {
    "keyword": "bet",
    "count": 12178
  },
  {
    "keyword": "casino",
    "count": 10205
  },
  {
    "keyword": "hub",
    "count": 8117
  },
  {
    "keyword": "group",
    "count": 8050
  },
  {
    "keyword": "app",
    "count": 7749
  },
  {
    "keyword": "co",
    "count": 7351
  },
  {
    "keyword": "studio",
    "count": 7241
  }
]
```

## Related Examples

- [Top 100 Keywords of the Last 7 Days](/reference/domain-intelligence/keyword-stats/examples/size-100/)
- [Top Keywords of the Last Day](/reference/domain-intelligence/keyword-stats/examples/interval-1/)
- [Top Keywords of the Last 30 Days](/reference/domain-intelligence/keyword-stats/examples/interval-30/)
- [Top Keywords of the Last Year](/reference/domain-intelligence/keyword-stats/examples/interval-365/)
